diff --git a/base/common/src/com/netscape/cmscore/connector/HttpConnector.java b/base/common/src/com/netscape/cmscore/connector/HttpConnector.java
index 90979f87097b9f27a73a74e9e83268b140ae5495..f947164d96c999893f953c6af8f34962c8927beb 100644
--- a/base/common/src/com/netscape/cmscore/connector/HttpConnector.java
+++ b/base/common/src/com/netscape/cmscore/connector/HttpConnector.java
@@ -45,6 +45,7 @@ public class HttpConnector implements IConnector {
     protected IHttpConnection mConn = null;
     private Thread mResendThread = null;
     private IResender mResender = null;
+    @SuppressWarnings("unused")
     private int mTimeout;
 
     private HttpConnFactory mConnFactory = null;
diff --git a/base/common/src/com/netscape/cmscore/connector/RequestTransfer.java b/base/common/src/com/netscape/cmscore/connector/RequestTransfer.java
index 33a2d7d7138b37ae1786796d64bac37bb5930527..baf076422628b3d9b82be4396170df126d596a69 100644
--- a/base/common/src/com/netscape/cmscore/connector/RequestTransfer.java
+++ b/base/common/src/com/netscape/cmscore/connector/RequestTransfer.java
@@ -26,8 +26,6 @@ import com.netscape.cmscore.authentication.ChallengePhraseAuthentication;
 
 public class RequestTransfer {
 
-    private static final String DOT = ".";
-
     private static String[] transferAttributes = {
             IRequest.HTTP_PARAMS,
             IRequest.AGENT_PARAMS,
diff --git a/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java b/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
index ebcd6cc5cde8222db0e697aab0e523d40f55f176..0872d1f4050551495adb54d2ee9af17a83d23d2e 100644
--- a/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
+++ b/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
@@ -77,9 +77,10 @@ public class CertificateRepository extends Repository
     private String mBaseDN;
     private String mRequestBaseDN;
     private boolean mConsistencyCheck = false;
-    private boolean mSkipIfInconsistent = false;
 
-    private int mCertStatusUpdateInterval = 0;
+    @SuppressWarnings("unused")
+    private boolean mSkipIfInconsistent;
+
     private Hashtable<String, ICRLIssuingPoint> mCRLIssuingPoints = new Hashtable<String, ICRLIssuingPoint>();
 
     private int mTransitMaxRecords = 1000000;
diff --git a/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java b/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java
index ece755fc36ed0ec2e6869e81363dfdb26b2b6914..304f5aa94830e1d24fb24ca486407b2efa92cb45 100644
--- a/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java
+++ b/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java
@@ -79,23 +79,6 @@ public class DBSubsystem implements IDBSubsystem {
     private BigInteger mNextSerialConfig = null;
     private boolean mEnableSerialMgmt = false;
 
-    private static final String PEOPLE_DN = "ou=people";
-    private static final String GROUPS_DN = "ou=groups";
-    private static final String REQUESTS_DN = "ou=requests";
-    private static final String XCERTS_DN = "cn=crossCerts";
-    private static final String BASEDN = "o=netscapeCertificateServer";
-    private static final String DEFAULT_DATABASE = "userRoot";
-    private static final String AT_OC = "objectclass";
-    private static final String AT_O = "o";
-    private static final String AT_OU = "ou";
-    private static final String CA_DN = "ou=ca";
-    private static final String CR_DN = "ou=certificateRepository, ou=ca";
-    private static final String CRL_DN = "ou=crlIssuingPoints, ou=ca";
-    private static final String CA_REQUESTS_DN = "ou=ca, ou=requests";
-    private static final String KRA_DN = "ou=kra";
-    private static final String KR_DN = "ou=keyRepository, ou=kra";
-    private static final String KRA_REQUESTS_DN = "ou=kra, ou=requests";
-    private static final String REPLICA_DN = "ou=replica";
     private static final String PROP_ENABLE_SERIAL_NUMBER_RECOVERY =
             "enableSerialNumberRecovery";
     // This value is only equal to the next Serial number that the CA's
diff --git a/base/common/src/com/netscape/cmscore/dbs/Repository.java b/base/common/src/com/netscape/cmscore/dbs/Repository.java
index 2cfe320f6bf55096fa2d4415f72f31d500454358..4a438c07c8cb0d039577535257ddfc0fdc92314a 100644
--- a/base/common/src/com/netscape/cmscore/dbs/Repository.java
+++ b/base/common/src/com/netscape/cmscore/dbs/Repository.java
@@ -51,7 +51,6 @@ public abstract class Repository implements IRepository {
 
     private static final BigInteger BI_ONE = new BigInteger("1");
     private BigInteger BI_INCREMENT = null;
-    private static final BigInteger BI_ZERO = new BigInteger("0");
     // (the next serialNo to be issued) - 1
     private BigInteger mSerialNo = null;
     // the serialNo attribute stored in db
diff --git a/base/common/src/com/netscape/cmscore/extensions/CMSExtensionsMap.java b/base/common/src/com/netscape/cmscore/extensions/CMSExtensionsMap.java
index 0d3ab35f7a00c26395f4660e56f3996c3a703fb4..3322ca9b02e3a6c6dbace3ecbe49d86e0ed2b7c2 100644
--- a/base/common/src/com/netscape/cmscore/extensions/CMSExtensionsMap.java
+++ b/base/common/src/com/netscape/cmscore/extensions/CMSExtensionsMap.java
@@ -49,7 +49,8 @@ public class CMSExtensionsMap implements ISubsystem {
 
     private Hashtable<String, ICMSExtension> mName2Ext = new Hashtable<String, ICMSExtension>();
     private Hashtable<String, ICMSExtension> mOID2Ext = new Hashtable<String, ICMSExtension>();
-    private ISubsystem mOwner = null;
+    @SuppressWarnings("unused")
+    private ISubsystem mOwner;
     private IConfigStore mConfig = null;
 
     /**
diff --git a/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java b/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java
index dc4423357b079babf0ef1cb44fc65f9431d0bc07..41038d898d5ec9b8db045f35f5c9b5af59734406 100644
--- a/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java
+++ b/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java
@@ -31,21 +31,18 @@ import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.extensions.EExtensionsException;
 import com.netscape.certsrv.extensions.ICMSExtension;
-import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cmscore.util.Debug;
 
 public class KeyUsage implements ICMSExtension {
     private final static String NAME = "KeyUsageExtension";
     private final static ObjectIdentifier OID = PKIXExtensions.KeyUsage_Id;
 
-    private IConfigStore mConfig = null;
+    @SuppressWarnings("unused")
+    private IConfigStore mConfig;
     private boolean mSetDefault = false;
 
-    private ILogger mLogger;
-
     public KeyUsage(boolean setDefault) {
         mSetDefault = setDefault;
-        mLogger = CMS.getLogger();
     }
 
     public void init(ISubsystem owner, IConfigStore config)
diff --git a/base/common/src/com/netscape/cmscore/ldapconn/LdapBoundConnection.java b/base/common/src/com/netscape/cmscore/ldapconn/LdapBoundConnection.java
index ca4bb440cca01a5c9582cca992cea4d3db28df19..1ce2eeefba971ec18ac8ba36e1ec997dc35c87e6 100644
--- a/base/common/src/com/netscape/cmscore/ldapconn/LdapBoundConnection.java
+++ b/base/common/src/com/netscape/cmscore/ldapconn/LdapBoundConnection.java
@@ -43,7 +43,8 @@ public class LdapBoundConnection extends LDAPConnection {
     private static final long serialVersionUID = -2242077674357271559L;
     // LDAPConnection calls authenticate so must set this for first
     // authenticate call.
-    private boolean mAuthenticated = false;
+    @SuppressWarnings("unused")
+    private boolean mAuthenticated;
 
     /**
      * Instantiates a connection to a ldap server, secure or non-secure
diff --git a/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java b/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java
index 6fecf88103b187e6d411016470fbc006ac2661f1..c5a12447a637b57178887dda97b6823839940f58 100644
--- a/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java
+++ b/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java
@@ -43,7 +43,8 @@ public class ProfileSubsystem implements IProfileSubsystem {
     private static final String PROP_ENABLE_BY = "enableBy";
 
     private IConfigStore mConfig = null;
-    private ISubsystem mOwner = null;
+    @SuppressWarnings("unused")
+    private ISubsystem mOwner;
     private Vector<String> mProfileIds = new Vector<String>();
     private Hashtable<String, IProfile> mProfiles = new Hashtable<String, IProfile>();
     private Hashtable<String, String> mProfileClassIds = new Hashtable<String, String>();
diff --git a/base/common/src/com/netscape/cmscore/registry/PluginRegistry.java b/base/common/src/com/netscape/cmscore/registry/PluginRegistry.java
index 747fe9ce7169b09f2352c601a8583a1a3e0b0372..1c014622279ce908b19de28a5e6ebd1eebd03713 100644
--- a/base/common/src/com/netscape/cmscore/registry/PluginRegistry.java
+++ b/base/common/src/com/netscape/cmscore/registry/PluginRegistry.java
@@ -41,7 +41,8 @@ public class PluginRegistry implements IPluginRegistry {
 
     private IConfigStore mConfig = null;
     private IConfigStore mFileConfig = null;
-    private ISubsystem mOwner = null;
+    @SuppressWarnings("unused")
+    private ISubsystem mOwner;
     private Hashtable<String, Hashtable<String, IPluginInfo>> mTypes =
             new Hashtable<String, Hashtable<String, IPluginInfo>>();
 
diff --git a/base/common/src/com/netscape/cmscore/request/RequestSubsystem.java b/base/common/src/com/netscape/cmscore/request/RequestSubsystem.java
index 69c0d0ce97507101ca1686476368cfd73537452b..78d312851f13563a47d3f7480a2660a836fe2ff8 100644
--- a/base/common/src/com/netscape/cmscore/request/RequestSubsystem.java
+++ b/base/common/src/com/netscape/cmscore/request/RequestSubsystem.java
@@ -139,7 +139,6 @@ public class RequestSubsystem
     }
 
     public void shutdown() {
-        mRequestQueue = null;
 
         if (mLogger != null) {
             mLogger.log(ILogger.EV_SYSTEM, ILogger.S_REQQUEUE, ILogger.LL_INFO,
@@ -179,9 +178,9 @@ public class RequestSubsystem
     // Instance variables
 
     private IConfigStore mConfig;
+    @SuppressWarnings("unused")
     private ISubsystem mParent;
     private String mId = IRequestSubsystem.SUB_ID;
-    private IRequestQueue mRequestQueue;
 
     protected ILogger mLogger;
 }
diff --git a/base/common/src/com/netscape/cmscore/security/JssSubsystem.java b/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
index 7c16c6f432831f2d9f86494aebe7ee26282eaee9..42249e324999bf3fcd11a49b8db82a88264ad9ad 100644
--- a/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
+++ b/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
@@ -110,15 +110,9 @@ public final class JssSubsystem implements ICryptoSubsystem {
     public static final String ID = "jss";
 
     private static final String CONFIG_DIR = "configDir";
-    private static final String CERTPREFIX_ALIAS = "certPrefix";
-    private static final String KEYPREFIX_ALIAS = "keyPrefix";
-    private static final String CONFIGDIR_ALIAS = "configDir";
-    private static final String SECMODNAME_ALIAS = "secmodName";
     private static final String PROP_ENABLE = "enable";
-    private static final String PROP_OCSP_ENABLE = "ocspcheck.enable";
     private static final String PASSWORD_ALIAS = "password";
     private static final String mId = ID;
-    private IConfigStore mSSLSubStore;
     protected IConfigStore mConfig = null;
     private boolean mInited = false;
     private ILogger mLogger = null;
diff --git a/base/common/src/com/netscape/cmscore/security/KRATransportCert.java b/base/common/src/com/netscape/cmscore/security/KRATransportCert.java
index 7f6632e09c91ce7241c5f03993796fce8f6ce955..7e2e2f90d50010c95bc8abfcbcee54f4dfc52d7d 100644
--- a/base/common/src/com/netscape/cmscore/security/KRATransportCert.java
+++ b/base/common/src/com/netscape/cmscore/security/KRATransportCert.java
@@ -37,7 +37,6 @@ import com.netscape.certsrv.security.KeyCertData;
 public class KRATransportCert extends CertificateInfo {
     public static final String SUBJECT_NAME =
             "CN=Data Recovery Manager, O=Netscape Communications, C=US";
-    private String mTokenname = Constants.PR_INTERNAL_TOKEN_NAME;
 
     public KRATransportCert(KeyCertData properties) {
         this(properties, null);
@@ -45,11 +44,6 @@ public class KRATransportCert extends CertificateInfo {
 
     public KRATransportCert(KeyCertData properties, KeyPair pair) {
         super(properties, pair);
-        String tmp = (String) mProperties.get(Constants.PR_TOKEN_NAME);
-
-        if ((tmp != null) &&
-                (!tmp.equals(Constants.PR_INTERNAL_TOKEN)))
-            mTokenname = tmp;
         mProperties.put(Constants.PR_AKI, Constants.TRUE);
     }
 
diff --git a/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java b/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
index 2bb31ba1a1c38e60ee31646ce6ed9aa73d07941b..ccbb004ce098e6e4775dd7dd345f32c47a8700d5 100644
--- a/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
+++ b/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
@@ -125,10 +125,6 @@ import com.netscape.cmsutil.util.Utils;
 public class KeyCertUtil {
 
     public static final String CA_SIGNINGCERT_NICKNAME = "caSigningCert";
-    private static final int MAX_DOMESTIC_SSL_KEY_LEN = 4096;
-    private static final int MAX_EXPORT_SSL_KEY_LEN = 512;
-    private static final int MIN_DSA_KEY_LEN = 512;
-    private static final int MAX_DSA_KEY_LEN = 1024;
 
     public static void checkCertificateExt(String ext) throws EBaseException {
         byte[] b = null;
diff --git a/base/common/src/com/netscape/cmscore/security/RASigningCert.java b/base/common/src/com/netscape/cmscore/security/RASigningCert.java
index ac47055b667f86b0e267cf23fe8b1ec664a86f72..cf1de4203a1c46ea9aa663868a944df68f16879a 100644
--- a/base/common/src/com/netscape/cmscore/security/RASigningCert.java
+++ b/base/common/src/com/netscape/cmscore/security/RASigningCert.java
@@ -37,7 +37,6 @@ import com.netscape.certsrv.security.KeyCertData;
 public class RASigningCert extends CertificateInfo {
     public static final String SUBJECT_NAME =
             "CN=Registration Authority, O=Netscape Communications, C=US";
-    private String mTokenname = Constants.PR_INTERNAL_TOKEN_NAME;
 
     public RASigningCert(KeyCertData properties) {
         this(properties, null);
@@ -45,11 +44,6 @@ public class RASigningCert extends CertificateInfo {
 
     public RASigningCert(KeyCertData properties, KeyPair pair) {
         super(properties, pair);
-        String tmp = (String) mProperties.get(Constants.PR_TOKEN_NAME);
-
-        if ((tmp != null) &&
-                (!tmp.equals(Constants.PR_INTERNAL_TOKEN)))
-            mTokenname = tmp;
         try {
             if (mProperties.get(Constants.PR_AKI) == null) {
                 mProperties.put(Constants.PR_AKI, Constants.FALSE);
diff --git a/base/common/src/com/netscape/cmscore/security/SSLCert.java b/base/common/src/com/netscape/cmscore/security/SSLCert.java
index b4fea7f897d32f96fff9e8b733e24fe320a3eaa4..9dbec8abbac1bf7f047cf074c7cf1ac4c806d9be 100644
--- a/base/common/src/com/netscape/cmscore/security/SSLCert.java
+++ b/base/common/src/com/netscape/cmscore/security/SSLCert.java
@@ -37,7 +37,6 @@ import com.netscape.certsrv.security.KeyCertData;
 public class SSLCert extends CertificateInfo {
     public static final String SUBJECT_NAME =
             "CN=SSL, O=Netscape Communications, C=US";
-    private String mTokenname = Constants.PR_INTERNAL_TOKEN_NAME;
 
     public SSLCert(KeyCertData properties) {
         this(properties, null);
@@ -45,11 +44,6 @@ public class SSLCert extends CertificateInfo {
 
     public SSLCert(KeyCertData properties, KeyPair pair) {
         super(properties, pair);
-        String tmp = (String) mProperties.get(Constants.PR_TOKEN_NAME);
-
-        if ((tmp != null) &&
-                (!tmp.equals(Constants.PR_INTERNAL_TOKEN)))
-            mTokenname = tmp;
         try {
             if (mProperties.get(Constants.PR_AKI) == null) {
                 mProperties.put(Constants.PR_AKI, Constants.FALSE);
diff --git a/base/common/src/com/netscape/cmscore/security/SSLSelfSignedCert.java b/base/common/src/com/netscape/cmscore/security/SSLSelfSignedCert.java
index 8d8e7dfcc53100703b4a4c0c8a9fa884a40a514e..328f6a86cf3bf518527af6b4de19a2d348576bc6 100644
--- a/base/common/src/com/netscape/cmscore/security/SSLSelfSignedCert.java
+++ b/base/common/src/com/netscape/cmscore/security/SSLSelfSignedCert.java
@@ -37,7 +37,6 @@ import com.netscape.certsrv.security.KeyCertData;
 public class SSLSelfSignedCert extends CertificateInfo {
     public static final String SUBJECT_NAME =
             "CN=SSL, O=Netscape Communications, C=US";
-    private String mTokenname = Constants.PR_INTERNAL_TOKEN_NAME;
 
     public SSLSelfSignedCert(KeyCertData properties) {
         this(properties, null);
@@ -45,11 +44,6 @@ public class SSLSelfSignedCert extends CertificateInfo {
 
     public SSLSelfSignedCert(KeyCertData properties, KeyPair pair) {
         super(properties, pair);
-        String tmp = (String) mProperties.get(Constants.PR_TOKEN_NAME);
-
-        if ((tmp != null) &&
-                (!tmp.equals(Constants.PR_INTERNAL_TOKEN)))
-            mTokenname = tmp;
         mProperties.remove(Constants.PR_AKI);
 
         // 020599: This SSL server bit has to be turned on. Otherwise, it
diff --git a/base/common/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java b/base/common/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java
index c51aa0d46e433dcb8dd72e0cf27ebb6641b9b676..0ae6af0c31d0e31aa4183869727fb7d458d6b310 100644
--- a/base/common/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java
+++ b/base/common/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java
@@ -74,7 +74,8 @@ public class SelfTestSubsystem
     // SelfTestSubsystem parameters //
     //////////////////////////////////
 
-    private ISubsystem mOwner = null;
+    @SuppressWarnings("unused")
+    private ISubsystem mOwner;
     private IConfigStore mConfig = null;
     private ILogEventListener mLogger = null;
     private ILogger mErrorLogger = CMS.getLogger();
diff --git a/base/common/src/com/netscape/cmscore/usrgrp/Group.java b/base/common/src/com/netscape/cmscore/usrgrp/Group.java
index 608348dfb5948b5680bf579d668729b80bf0ac6c..25917e901da5b2993cf844d723627ef800c80bbf 100644
--- a/base/common/src/com/netscape/cmscore/usrgrp/Group.java
+++ b/base/common/src/com/netscape/cmscore/usrgrp/Group.java
@@ -36,7 +36,8 @@ public class Group implements IGroup {
      *
      */
     private static final long serialVersionUID = -1264387079578766750L;
-    private IUsrGrp mBase = null;
+    @SuppressWarnings("unused")
+    private IUsrGrp mBase;
     private String mName = null;
     private Vector<String> mMembers = new Vector<String>();
     private String mDescription = null;
diff --git a/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java b/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java
index ee9fa575e0133c394be5df519acc883bd1f71c86..e48fd620a9545bcd19efd82e6f2c208cfd7f92d4 100644
--- a/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java
+++ b/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java
@@ -64,7 +64,6 @@ import com.netscape.cmscore.util.Debug;
 public final class UGSubsystem implements IUGSubsystem {
 
     public static final String ID = "usrgrp";
-    private ICertUserLocator mCertUserLocator = null;
     private String mId = ID;
 
     protected static final String OBJECTCLASS_ATTR = "objectclass";
@@ -81,9 +80,6 @@ public final class UGSubsystem implements IUGSubsystem {
     protected LdapBoundConnFactory mLdapConnFactory = null;
     protected String mBaseDN = null;
     protected static UGSubsystem mUG = null;
-    private static final String PROP_IMPL = "impl";
-    private static final String PROP_CLASS = "class";
-    private static final String PROP_PASSWORD_CHECKER = "PasswordChecker";
 
     private ILogger mLogger = null;
 
diff --git a/base/common/src/com/netscape/cmscore/usrgrp/User.java b/base/common/src/com/netscape/cmscore/usrgrp/User.java
index 77f9bade424024cb124e73f09952817959032588..53347750107f871fa448ccb0b546bcabd8f05ff0 100644
--- a/base/common/src/com/netscape/cmscore/usrgrp/User.java
+++ b/base/common/src/com/netscape/cmscore/usrgrp/User.java
@@ -39,7 +39,8 @@ public class User implements IUser {
      */
     private static final long serialVersionUID = -7407288327775546979L;
     public static final String ATTR_X509_CERTIFICATES = "userCertificates";
-    private IUsrGrp mBase = null;
+    @SuppressWarnings("unused")
+    private IUsrGrp mBase;
     private String mUserid = null;
     private String mUserDN = null;
     private String mFullName = null;
diff --git a/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java b/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java
index 9e9d9fc6cb5307d079ad9134e1e13dc9d0a8ecad..5822542a3805764171ae9bf379c15a7892cc4898 100644
--- a/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java
+++ b/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java
@@ -25,7 +25,6 @@ import java.io.ByteArrayOutputStream;
 import java.io.PrintStream;
 import java.util.Vector;
 
-import javax.swing.JButton;
 import javax.swing.JDialog;
 import javax.swing.JPanel;
 import javax.swing.JScrollPane;
@@ -58,7 +57,6 @@ public class ProfileSubsystem extends Frame implements ISubsystem, Runnable {
     private TextArea mTextArea = null;
     private JScrollPane mThreads = null;
     private JTable mThreadTable = null;
-    private JButton mGC = null;
     private ThreadTableModel mThreadModel = null;
 
     /**
diff --git a/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java b/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
index b7955d70b7000a6a2e8bf9b6ba8f226a26d1aaf5..bed5d8334fa5da7e4047c3e56e9395eba8789e17 100644
--- a/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
+++ b/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
@@ -79,8 +79,6 @@ public class CMCEnroll {
     public static final String PR_REQUEST_PKCS10 = "PKCS10";
 
     public static final int ARGC = 4;
-    private static final String CERTDB = "cert8.db";
-    private static final String KEYDB = "key3.db";
     public static final String HEADER = "-----BEGIN NEW CERTIFICATE REQUEST-----";
     public static final String TRAILER = "-----END NEW CERTIFICATE REQUEST-----";
 
diff --git a/base/java-tools/src/com/netscape/cmstools/CMCRequest.java b/base/java-tools/src/com/netscape/cmstools/CMCRequest.java
index 1dfb36fb2b7d272cac80b52ab2b5c2cbae92f187..f2205ed5c4aa7cf9e20fac19e4c838a773a5dbd2 100644
--- a/base/java-tools/src/com/netscape/cmstools/CMCRequest.java
+++ b/base/java-tools/src/com/netscape/cmstools/CMCRequest.java
@@ -97,8 +97,6 @@ public class CMCRequest {
     public static final String PR_REQUEST_CRMF = "CRMF";
 
     public static final int ARGC = 1;
-    private static final String CERTDB = "cert8.db";
-    private static final String KEYDB = "key3.db";
     public static final String HEADER = "-----BEGIN NEW CERTIFICATE REQUEST-----";
     public static final String TRAILER = "-----END NEW CERTIFICATE REQUEST-----";
 
diff --git a/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java b/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java
index d0cc3077e77b9e620855ba043e5cf62cb6a534d9..8dffa13e36fa769684f2fe8f650ab238828fda06 100644
--- a/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java
+++ b/base/java-tools/src/com/netscape/cmstools/CMCRevoke.java
@@ -69,8 +69,6 @@ import com.netscape.cmsutil.util.Utils;
  */
 public class CMCRevoke {
     public static final int ARGC = 7;
-    private static final String CERTDB = "cert8.db";
-    private static final String KEYDB = "key3.db";
     public static final String HEADER = "-----BEGIN NEW CERTIFICATE REQUEST-----";
     public static final String TRAILER = "-----END NEW CERTIFICATE REQUEST-----";
     static String dValue = null, nValue = null, iValue = null, sValue = null, mValue = null, hValue = null,
diff --git a/base/java-tools/src/com/netscape/cmstools/DRMTool.java b/base/java-tools/src/com/netscape/cmstools/DRMTool.java
index be6b10afc7b2b715be4202b1f6fffd61fab2c53d..c6b2c575f55c15af4334d15bf1982401e72d6f44 100644
--- a/base/java-tools/src/com/netscape/cmstools/DRMTool.java
+++ b/base/java-tools/src/com/netscape/cmstools/DRMTool.java
@@ -507,7 +507,6 @@ public class DRMTool {
     private static final String COMMA = ",";
     private static final String DOT = ".";
     private static final String EQUAL_SIGN = "=";
-    private static final String HASH = "#";
     private static final String LEFT_BRACE = "[";
     private static final String NEWLINE = "\n";
     private static final String PLUS = "+";
@@ -862,7 +861,6 @@ public class DRMTool {
     // Constants:  Target Certificate Information
     private static final String HEADER = "-----BEGIN";
     private static final String TRAILER = "-----END";
-    private static final String X509_INFO = "x509.INFO";
 
     // Constants:  DRM LDIF Record Fields
     private static final String DRM_LDIF_ARCHIVED_BY = "archivedBy:";
@@ -925,7 +923,6 @@ public class DRMTool {
     private static String mDateOfModify = null;
 
     // Variables: Command-Line Options
-    private static boolean mMandatoryFlag = false;
     private static boolean mRewrapFlag = false;
     private static boolean mPwdfileFlag = false;
     private static boolean mAppendIdOffsetFlag = false;
@@ -4582,9 +4579,6 @@ public class DRMTool {
                 printUsage();
                 System.exit(0);
             }
-
-            // Mark the 'Mandatory' flag true
-            mMandatoryFlag = true;
         }
 
         // Check to see that if the 'Rewrap' command-line options were
diff --git a/base/java-tools/src/com/netscape/cmstools/PasswordCache.java b/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
index dbd8a21f3572f4de6cb2961c3023492a508af560..c9e36585ef6afe30c59ba29354594418abc68e54 100644
--- a/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
+++ b/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
@@ -59,9 +59,6 @@ public class PasswordCache {
      */
     public static final String PROP_PWC_NICKNAME = "sso_key";
     public static final String PW_TAG_INTERNAL_LDAP_DB = "Internal LDAP Database";
-    private static final String WRONG_NUM_ARGS = "Error: wrong number of arguments";
-    private static final String CERTDB = "cert8.db";
-    private static final String KEYDB = "key3.db";
 
     private static void usage() {
         System.out.println(
diff --git a/base/kra/functional/src/com/netscape/cms/servlet/test/GeneratePKIArchiveOptions.java b/base/kra/functional/src/com/netscape/cms/servlet/test/GeneratePKIArchiveOptions.java
index ee6668a2556e4114e3a3d9124ea31c926704a78a..e1d5124fa3d0a52d3c334388542d466f57a71ebb 100644
--- a/base/kra/functional/src/com/netscape/cms/servlet/test/GeneratePKIArchiveOptions.java
+++ b/base/kra/functional/src/com/netscape/cms/servlet/test/GeneratePKIArchiveOptions.java
@@ -38,7 +38,6 @@ import org.mozilla.jss.util.Password;
 import com.netscape.cmsutil.crypto.CryptoUtil;
 import com.netscape.cmsutil.util.Utils;
 
-@SuppressWarnings("deprecation")
 public class GeneratePKIArchiveOptions {
 
     public static void usage(Options options) {
diff --git a/base/kra/src/com/netscape/kra/EncryptionUnit.java b/base/kra/src/com/netscape/kra/EncryptionUnit.java
index 7d67a7b12478b99a7e0201b5c6b82c3346cc20e1..c6023e6c55a1887635ed22c24e55119ecb23d1b1 100644
--- a/base/kra/src/com/netscape/kra/EncryptionUnit.java
+++ b/base/kra/src/com/netscape/kra/EncryptionUnit.java
@@ -54,7 +54,6 @@ import com.netscape.cmscore.util.Debug;
  * @author thomask
  * @version $Revision$, $Date$
  */
-@SuppressWarnings("deprecation")
 public abstract class EncryptionUnit implements IEncryptionUnit {
 
     /* Establish one constant IV for base class, to be used for
